
Name:		jOpenPTS
Epoch:		0
Version:	0.2.4
Release:	%{?dist}
Summary:	An open source TCG Platform Trust Services

Group:		Applications/System
License:	CPL
URL:		http://sourceforge.jp/projects/openpts/
Source0:	%{name}-%{version}.tar.gz

%if 0%{?fedora} >= 14
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-codec
Requires:      apache-commons-logging
Requires:      apache-commons-codec
%else
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-commons-codec
Requires:      jakarta-commons-logging
Requires:      jakarta-commons-codec
%endif
BuildRequires: java-devel
BuildRequires: ant >= 0:1.6, ant-nodeps
BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: log4j

Requires:      java
Requires:      jpackage-utils >= 0:1.5
Requires:      log4j
Requires:      jsch
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
OpenPlatformTrustServices is an implementation of the Trusted Computing Group's 
Platform Trust Service (PTS). You can use OpenPlatformTrustServices as
verifier

%package javadoc
Summary: Javadoc for %{name}
Group: Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary: Manual for %{name}
Group: Documentation

%description manual
Documentation for %{name}.

%prep

%setup -q
make clean


%build

[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java; echo "If you have error. please use SUN JDK to build"

%if 0%{?fedora} >= 14
CLASSPATH=$(build-classpath apache-commons-logging apache-commons-codec log4j jsch)
%else
CLASSPATH=$(build-classpath jakarta-commons-logging jakarta-commons-codec log4j jsch)
%endif

export CLASSPATH=$CLASSPATH:$(build-classpath junit 2>/dev/null)

export OPT_JAR_LIST="ant/ant-nodeps"

%if 0%{?fedora} >= 14
ant -Dcompile.ime=true \
    -Dcommons-logging.jar=$(build-classpath apache-commons-logging) \
    -Dcommons-codec.jar=$(build-classpath apache-commons-codec) \
    -Dsource=1.4 \
	clean compile javadocs
%else
ant -Dcompile.ime=true \
    -Dcommons-logging.jar=$(build-classpath jakarta-commons-logging) \
    -Dcommons-codec.jar=$(build-classpath jakarta-commons-codec) \
    -Dsource=1.4 \
	clean compile javadocs
%endif

%install
rm -rf $RPM_BUILD_ROOT

### Jar files

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

pushd build/lib
install -m 644 jopenpts.jar \
$RPM_BUILD_ROOT%{_javadir}
popd

pushd $RPM_BUILD_ROOT%{_javadir}/
   for jar in *.jar ; do
      vjar=$(echo $jar | sed s+.jar+-%{version}.jar+g)
      mv $jar $vjar
      ln -fs $vjar $jar
   done
popd

### misc
make install DESTDIR=$RPM_BUILD_ROOT INSTDIR=%{_libdir}/openpts

### Javadoc

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

ln -sf %{_javadocdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc LICENSE README ChangeLog
%{_javadir}/*.jar
%attr(0755,root,root) /usr/bin/jopenpts
%attr(0755,root,root) /usr/bin/jopenpts-gui
%attr(0755,root,root) /usr/share/applications/jopenpts.desktop
%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%{_javadocdir}/%{name}
%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%changelog
* Wed Feb  9 2011 Seiji Munetoh <munetoh@users.sorceforge.jp>
  - 0.2.3
